using Nemerle.Collections;
using Nemerle.Imperative;
using System.Collections.Generic;


namespace Rsdn.ParserTools
{
  public module Algorithms
  {
    public Repeat['a](item : 'a, n : int) : System.Collections.Generic.IEnumerable['a]
    {
      for (mutable i = 0; i < n; ++i)
      {
        yield item;
      }
    }
    
    public Copy['a](src : Vector['a], dest: Vector['a], index: int) : void
    {
      for (mutable i = 0; i < src.Count; ++i)
      {
        dest[i + index] = src[i];
      }
    }
  }
}