﻿using System;
using SCG = System.Collections.Generic;
using System.Text;

namespace Rsdn.ParserTools
{
  module CollectionUtils
  {
    public ConcatenateLazy['a](
      this a : SCG.IEnumerable['a],
      b : SCG.IEnumerable['a]
    )
      : SCG.IEnumerable['a]
    {
      foreach (item in a)
        yield item;
      foreach (item in b)
        yield item;
    }
    
    public Contains['a](
      this sequence : SCG.IEnumerable['a],
      predicate : 'a -> bool
    )
      : bool
    {
      foreach (item in sequence)
        when (predicate(item))
          Nemerle.Imperative.Return(true);
      false
    } 
  }
}