using Nemerle;
using System;


namespace Rsdn.ParserTools
{
  public module CommandLineUtils
  {
    public GetCommandLine() : IConstListMultiDictionary[string, string]
    {
      def cmdLine = ListMultiDictionary();
      def args = Environment.GetCommandLineArgs();
      for (mutable i = 1; i < args.Length; ++i)
      {
        def parts = args[i].Split("=".ToCharArray(), 2);
        def value = if (parts.Length > 1) parts[1] else string.Empty;
        cmdLine.Add(parts[0], value);
      }
      cmdLine
    }
  }
}