using Nemerle.Utility;
using System;
using System.Collections.Generic;
using System.Text;

namespace Rsdn.ParserTools.Finite
{
  public class NfaState
  {
    [Accessor(flags = WantSetter)]
    private mutable isFinal : bool;
    
    [Accessor(RegexpID, flags = WantSetter)]
    private mutable regexpID : string;
    
    public this()
    {
      this(string.Empty);
    }
    
    public this(regexpID : string)
    {
      this.regexpID = regexpID;
    }
  }
}