using Nemerle;
using Nemerle.Imperative;
using SCG = System.Collections.Generic;


namespace Rsdn.ParserTools
{
  public class FunctionCache['a1, 'r]
  {
    f : 'a1 -> 'r;
    cache : SCG.Dictionary['a1, 'r];
    
    public this(f : 'a1 -> 'r)
    {
      this.f = f;
      this.cache = SCG.Dictionary();
    }
    
    public Get(p1 : 'a1) : 'r
    {
      if (cache.ContainsKey(p1))
      {
        cache[p1]
      }
      else
      {
        def r = f(p1);
        cache.Add(p1, r);
        r
      }
    }
  }
}