using Nemerle;


namespace Rsdn.ParserTools
{
  public class LRTable
  {
    public Actions : array[2, int];
    public States : array[2, int];
    public Productions : array[2, int];

    public this(height : int, width : int)
	{
      this.Actions = array(height, width);
      this.States = array(height, width);
      this.Productions = array(height, width);
      for (mutable i = 0; i < height; ++i)
      {
        for (mutable j = 0; j < width; ++j)
        {
          Productions[i, j] = -1;
          States[i, j] = -1;
        }
      }
    }
  }
}
