using System;
using System.IO;
using Rsdn.ParserTools;
using Rsdn.ParserTools.Test;


def url = "formula.txt";
def reader = StreamReader(url);
def lexer = Lexer(reader, url);
def parser = Parser();
def log = SimpleErrorLog();
def node = parser.Parse(lexer, log);
reader.Close();
log.Write(Console.Error);
Console.WriteLine(node);
Console.WriteLine(Derivator.Deriv(node, "x"));