namespace Rsdn.ParserTools.Test
{
  module TokenManager
  {
    public Filter(token : Token) : bool
    {
      match (token.TokenType)
      {
        | TokenType.Space 
        | TokenType.Error => false
        | _ => true
      }
    }
    
    public Eval(token : Token, _ : IErrorLog) : Node
    {
      match (token.TokenType)
      {
        | TokenType.Identifier => Node.Id(token.Locator, token.Text)
        | _ => Node.Token(token.Locator, token.TokenType)
      }
    }
  }
}