using Nemerle.Utility;
using System;
using System.Collections.Generic;
using System.Text;

namespace Rsdn.ParserTools.Finite
{
  public class Nfa
  {
    [Accessor] private initial : NfaState;
    private finals : ListSet[NfaState];
    [Accessor] private function : TransitionFunction[NfaState];
    
    public this(
      initial : NfaState,
      function : TransitionFunction[NfaState],
      finals : ListSet [NfaState])
    {
      this.initial = initial;
      this.function = function;
      this.finals = finals;
      foreach (final in finals)
        final.IsFinal = true;
    }
    
    public Finals : IConstListSet[NfaState]
    {
      get
      {
        finals
      }
    }
    
    public NextStates(state : NfaState, condition : CharRange) : IConstListSet[NfaState]
    {
      function.GetTransitions(state, condition)
    }
  }
}